Norce Query API Documentation
Version: 2.0
Norce Query API is an API based on OData V4. It is an API to fill the need for data from Norce in integration services that do not have direct access to Norce’s data and data models.
Base URLs
https://customer-slug.api-se.norce.tech/commerce/query/2.0
Endpoints
GET /Orders/OrderItems
Get OrderItem
Get OrderItem
Responses
200
Success
Content-Type: application/json
Schema: Array of Enferno.Storm.Query.Api.DataContexts.OrderModel.OrderItem
500
Internal Server Error
GET /Orders/Orders
Get Order
Get Order
Responses
200
Success
Content-Type: application/json
Schema: Array of Enferno.Storm.Query.Api.DataContexts.OrderModel.Order
500
Internal Server Error
GET /Orders/Quotations
Get Quotation
Get Quotation
Responses
200
Success
Content-Type: application/json
Schema: Array of Enferno.Storm.Query.Api.DataContexts.OrderModel.Quotation
500
Internal Server Error
GET /Orders/PurchaseOrders
Get PurchaseOrder
Get PurchaseOrder
Responses
200
Success
Content-Type: application/json
Schema: Array of Enferno.Storm.Query.Api.DataContexts.OrderModel.PurchaseOrder
500
Internal Server Error
GET /Orders/DeliveryNotes
Get DeliveryNote
Get DeliveryNote
Responses
200
Success
Content-Type: application/json
Schema: Array of Enferno.Storm.Query.Api.DataContexts.OrderModel.DeliveryNote
500
Internal Server Error
GET /Orders/Invoices
Get Invoice
Get Invoice
Responses
200
Success
Content-Type: application/json
Schema: Array of Enferno.Storm.Query.Api.DataContexts.OrderModel.Invoice
500
Internal Server Error
GET /Orders/WarehouseTransactions
Get WarehouseTransaction
Get WarehouseTransaction
Responses
200
Success
Content-Type: application/json
Schema: Array of Enferno.Storm.Query.Api.DataContexts.OrderModel.WarehouseTransaction
500
Internal Server Error
Schemas
Enferno.Storm.Query.Api.DataContexts.OrderModel.OrderInfo
Properties
- OrderId (
string)- OrderId. Key property.
- TypeId (
integer)- TypeId. Key property.
- Value (
string)- Value. Nullable.
- Updated (
string)- Updated.
- UpdatedBy (
integer)- UpdatedBy.
- ClientId (
integer)- ClientId. Nullable.
Enferno.Storm.Query.Api.DataContexts.OrderModel.OrderItemInfo
Properties
- OrderItemId (
string)- OrderItemId. Key property.
- TypeId (
integer)- TypeId. Key property.
- Value (
string)- Value. Nullable.
- Updated (
string)- Updated.
- UpdatedBy (
integer)- UpdatedBy.
- ClientId (
integer)- ClientId. Nullable.
Enferno.Storm.Query.Api.DataContexts.OrderModel.QuotationInfo
Properties
- QuotationId (
integer)- QuotationId. Key property.
- TypeId (
integer)- TypeId. Key property.
- Id (
string)- Id.
- Value (
string)- Value. Nullable.
- Updated (
string)- Updated.
- UpdatedBy (
integer)- UpdatedBy.
- ClientId (
integer)- ClientId. Nullable.
Enferno.Storm.Query.Api.DataContexts.OrderModel.OrderCustomerInfo
Properties
- Id (
string)- Id. Key property.
- FirstName (
string)- FirstName. MaxLength: 50. Nullable.
- LastName (
string)- LastName. MaxLength: 50. Nullable.
- EmailAddress (
string)- EmailAddress. MaxLength: 255. Nullable.
- PhoneNumber (
string)- PhoneNumber. MaxLength: 50. Nullable.
- CellPhoneNumber (
string)- CellPhoneNumber. MaxLength: 50. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Rowid (
string)- Rowid. MaxLength: 8. Nullable.
- CompanyName (
string)- CompanyName. MaxLength: 100. Nullable.
- CareOf (
string)- CareOf. MaxLength: 100. Nullable.
- AddressLine1 (
string)- AddressLine1. MaxLength: 255. Nullable.
- AddressLine2 (
string)- AddressLine2. MaxLength: 255. Nullable.
- ZipCode (
string)- ZipCode. MaxLength: 50. Nullable.
- City (
string)- City. MaxLength: 50. Nullable.
- Region (
string)- Region. MaxLength: 100. Nullable.
- CountryId (
integer)- CountryId. Nullable.
- ClientId (
integer)- ClientId. Nullable.
- ShippingPhoneNumber (
string)- ShippingPhoneNumber. MaxLength: 50. Nullable.
- Gln (
string)- Gln. MaxLength: 50. Nullable.
Enferno.Storm.Query.Api.DataContexts.OrderModel.WarehouseTransactionItem
Properties
- WarehouseTransactionId (
string)- WarehouseTransactionId.
- Id (
string)- Id. Key property.
- LineNumber (
number)- LineNumber.
- PartNo (
string)- PartNo. MaxLength: 50. Nullable.
- Qty (
number)- Qty.
- Amount (
number)- Amount.
- RemainingQty (
number)- RemainingQty. Nullable.
- RemainingAmount (
number)- RemainingAmount. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
Enferno.Storm.Query.Api.DataContexts.OrderModel.OrderItem
Properties
- Id (
string)- Id. Key property.
- OrderId (
string)- OrderId.
- LineNumber (
number)- LineNumber.
- ParentLineNumber (
number)- ParentLineNumber. Nullable.
- StatusId (
integer)- StatusId.
- PartNo (
string)- PartNo. MaxLength: 50. Nullable.
- ExternalPartNo (
string)- ExternalPartNo. MaxLength: 50. Nullable.
- ProductName (
string)- ProductName. MaxLength: 255. Nullable.
- StockUnitOfMeasurementCount (
number)- StockUnitOfMeasurementCount.
- PriceUnitOfMeasurementCount (
number)- PriceUnitOfMeasurementCount.
- WarehouseId (
integer)- WarehouseId. Nullable.
- LocationId (
integer)- LocationId. Nullable.
- QtyOrdered (
number)- QtyOrdered.
- CurrencyId (
integer)- CurrencyId.
- VatRate (
number)- VatRate.
- CostUnit (
number)- CostUnit.
- PriceSale (
number)- PriceSale.
- DiscountPercentage (
number)- DiscountPercentage.
- DiscountAmount (
number)- DiscountAmount.
- LineAmount (
number)- LineAmount.
- DeliveryMode (
string)- DeliveryMode. MaxLength: 50. Nullable.
- IsPartDelivery (
boolean)- IsPartDelivery.
- ExpectedDeliveryDate (
string)- ExpectedDeliveryDate. Nullable.
- ConfirmedDeliveryDate (
string)- ConfirmedDeliveryDate. Nullable.
- SalesRepContactId (
integer)- SalesRepContactId. Nullable.
- LedgerAccount (
string)- LedgerAccount. MaxLength: 50. Nullable.
- Department (
string)- Department. MaxLength: 10. Nullable.
- Centre (
string)- Centre. MaxLength: 10. Nullable.
- TransId (
string)- TransId.
- ExternalStatusText (
string)- ExternalStatusText. MaxLength: 255. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Updated (
string)- Updated. Nullable.
- UpdatedBy (
integer)- UpdatedBy. Nullable.
- LineNumberString (
string)- LineNumberString. MaxLength: 50. Nullable.
- PriceRecommended (
number)- PriceRecommended. Nullable.
- PriceCatalog (
number)- PriceCatalog. Nullable.
- PriceStandard (
number)- PriceStandard. Nullable.
- ClientId (
integer)- ClientId. Nullable.
- InvoiceItem (
array) - Array ofOrderService.InvoiceItem- InvoiceItem.
- Infos (
array) - Array ofEnferno.Storm.Query.Api.DataContexts.OrderModel.OrderItemInfo- Infos.
Enferno.Storm.Query.Api.DataContexts.OrderModel.Order
Properties
- Id (
string)- Id. Key property.
- ClientId (
integer)- ClientId.
- ApplicationId (
integer)- ApplicationId. Nullable.
- QuotationId (
integer)- QuotationId. Nullable.
- OrderNo (
string)- OrderNo. MaxLength: 50. Nullable.
- OrderDate (
string)- OrderDate.
- BuyerCompanyCode (
string)- BuyerCompanyCode. MaxLength: 50. Nullable.
- BuyerCompanyId (
integer)- BuyerCompanyId. Nullable.
- BuyerCustomerCode (
string)- BuyerCustomerCode. MaxLength: 50. Nullable.
- BuyerCustomerId (
integer)- BuyerCustomerId. Nullable.
- PayerCompanyCode (
string)- PayerCompanyCode. MaxLength: 50. Nullable.
- PayerCompanyId (
integer)- PayerCompanyId. Nullable.
- PayerCustomerCode (
string)- PayerCustomerCode. MaxLength: 50. Nullable.
- PayerCustomerId (
integer)- PayerCustomerId. Nullable.
- ResellerCompanyCode (
string)- ResellerCompanyCode. MaxLength: 50. Nullable.
- ResellerCompanyId (
integer)- ResellerCompanyId. Nullable.
- ResellerCustomerCode (
string)- ResellerCustomerCode. MaxLength: 50. Nullable.
- ResellerCustomerId (
integer)- ResellerCustomerId. Nullable.
- GroupCode (
string)- GroupCode. MaxLength: 50. Nullable.
- StatusId (
integer)- StatusId.
- SalesRepContactId (
integer)- SalesRepContactId. Nullable.
- Source (
string)- Source. MaxLength: 255. Nullable.
- DeliveryTerms (
string)- DeliveryTerms. MaxLength: 10. Nullable.
- DeliveryMode (
string)- DeliveryMode. MaxLength: 50. Nullable.
- DeliveryDate (
string)- DeliveryDate. Nullable.
- IsPartDelivery (
boolean)- IsPartDelivery.
- PaymentTerms (
string)- PaymentTerms. MaxLength: 100. Nullable.
- CurrencyId (
integer)- CurrencyId.
- VatRate (
number)- VatRate.
- CashDiscount (
number)- CashDiscount.
- LineDiscount (
number)- LineDiscount.
- FreightCost (
number)- FreightCost.
- OrderFee (
number)- OrderFee.
- DeliveryAttention (
string)- DeliveryAttention. MaxLength: 100. Nullable.
- DeliveryCareOf (
string)- DeliveryCareOf. MaxLength: 100. Nullable.
- DeliveryAddressLine1 (
string)- DeliveryAddressLine1. MaxLength: 255. Nullable.
- DeliveryAddressLine2 (
string)- DeliveryAddressLine2. MaxLength: 255. Nullable.
- DeliveryZipCode (
string)- DeliveryZipCode. MaxLength: 50. Nullable.
- DeliveryCity (
string)- DeliveryCity. MaxLength: 50. Nullable.
- DeliveryRegion (
string)- DeliveryRegion. MaxLength: 100. Nullable.
- DeliveryCountryId (
integer)- DeliveryCountryId. Nullable.
- LedgerAccount (
string)- LedgerAccount. MaxLength: 50. Nullable.
- Department (
string)- Department. MaxLength: 10. Nullable.
- Centre (
string)- Centre. MaxLength: 10. Nullable.
- ExternalPurchaseNo (
string)- ExternalPurchaseNo. MaxLength: 50. Nullable.
- SalesCode (
string)- SalesCode. MaxLength: 50. Nullable.
- DeliveryMark (
string)- DeliveryMark. MaxLength: 255. Nullable.
- InvoiceMark (
string)- InvoiceMark. MaxLength: 255. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Updated (
string)- Updated. Nullable.
- UpdatedBy (
integer)- UpdatedBy. Nullable.
- PayerCustomerInfoId (
string)- PayerCustomerInfoId. Nullable.
- EstimatedDeliveryTime (
string)- EstimatedDeliveryTime. Nullable.
- DeliveryTime (
string)- DeliveryTime. Nullable.
- BuyerCustomerInfoId (
string)- BuyerCustomerInfoId. Nullable.
- ShipToCustomerInfoId (
string)- ShipToCustomerInfoId. Nullable.
- ExternalRef (
string)- ExternalRef. MaxLength: 50. Nullable.
- PaymentMethodId (
integer)- PaymentMethodId. Nullable.
- DeliveryMethodId (
integer)- DeliveryMethodId. Nullable.
- OrderTypeId (
integer)- OrderTypeId. Nullable.
- IsForgotten (
boolean)- IsForgotten.
- ForgottenBy (
integer)- ForgottenBy. Nullable.
- ForgottenDate (
string)- ForgottenDate. Nullable.
- DropPointCustomerInfoId (
string)- DropPointCustomerInfoId. Nullable.
- DropPointCode (
string)- DropPointCode. MaxLength: 50. Nullable.
- Quotation -
Enferno.Storm.Query.Api.DataContexts.OrderModel.Quotation - Items (
array) - Array ofEnferno.Storm.Query.Api.DataContexts.OrderModel.OrderItem- Items.
- Infos (
array) - Array ofEnferno.Storm.Query.Api.DataContexts.OrderModel.OrderInfo- Infos.
- Payer -
Enferno.Storm.Query.Api.DataContexts.OrderModel.OrderCustomerInfo - Buyer -
Enferno.Storm.Query.Api.DataContexts.OrderModel.OrderCustomerInfo - ShipTo -
Enferno.Storm.Query.Api.DataContexts.OrderModel.OrderCustomerInfo - DropPoint -
Enferno.Storm.Query.Api.DataContexts.OrderModel.OrderCustomerInfo
Enferno.Storm.Query.Api.DataContexts.OrderModel.Quotation
Properties
- Id (
integer)- Id. Key property.
- ApplicationId (
integer)- ApplicationId.
- SalesContactId (
integer)- SalesContactId. Nullable.
- BuyerAccountKey (
string)- BuyerAccountKey.
- BuyerAccountId (
integer)- BuyerAccountId. Nullable.
- PayerAccountId (
integer)- PayerAccountId. Nullable.
- PayerAccountKey (
string)- PayerAccountKey. Nullable.
- StatusId (
integer)- StatusId.
- IsPrimary (
boolean)- IsPrimary.
- Name (
string)- Name. MaxLength: 50. Nullable.
- ValidTo (
string)- ValidTo. Nullable.
- IsDeletable (
boolean)- IsDeletable.
- DeleteDate (
string)- DeleteDate. Nullable.
- Comment (
string)- Comment. MaxLength: 250. Nullable.
- RejectionReasonId (
integer)- RejectionReasonId. Nullable.
- Modified (
string)- Modified. Nullable.
- Browsed (
string)- Browsed. Nullable.
- PaymentMethodId (
integer)- PaymentMethodId. Nullable.
- DeliveryMethodId (
integer)- DeliveryMethodId. Nullable.
- IpAddress (
string)- IpAddress. MaxLength: 50. Nullable.
- PayerFirstName (
string)- PayerFirstName. MaxLength: 50. Nullable.
- PayerMiddleName (
string)- PayerMiddleName. MaxLength: 50. Nullable.
- PayerLastName (
string)- PayerLastName. MaxLength: 50. Nullable.
- PayerCellPhoneNumber (
string)- PayerCellPhoneNumber. MaxLength: 50. Nullable.
- PayerEmail (
string)- PayerEmail. MaxLength: 255. Nullable.
- CurrencyId (
integer)- CurrencyId.
- ResellerCustomerId (
integer)- ResellerCustomerId. Nullable.
- IsLocked (
boolean)- IsLocked. Nullable.
- DiscountCode (
string)- DiscountCode. Nullable.
- IsActive (
boolean)- IsActive. Nullable.
- ParentQuotationId (
integer)- ParentQuotationId. Nullable.
- ClientId (
integer)- ClientId. Nullable.
- BuyerCompanyId (
integer)- BuyerCompanyId. Nullable.
- PayerCompanyId (
integer)- PayerCompanyId. Nullable.
- HasPaymentTransaction (
boolean)- HasPaymentTransaction. Nullable.
- BuyerFirstName (
string)- BuyerFirstName. MaxLength: 50. Nullable.
- BuyerMiddleName (
string)- BuyerMiddleName. MaxLength: 50. Nullable.
- BuyerLastName (
string)- BuyerLastName. MaxLength: 50. Nullable.
- BuyerCellPhoneNumber (
string)- BuyerCellPhoneNumber. MaxLength: 50. Nullable.
- BuyerEmail (
string)- BuyerEmail. MaxLength: 255. Nullable.
- CustomerOrderReference (
string)- CustomerOrderReference. MaxLength: 50. Nullable.
- Created (
string)- Created. Nullable.
- CreatedBy (
integer)- CreatedBy. Nullable.
- ReferId (
integer)- ReferId. Nullable.
- ReferUrl (
string)- ReferUrl. MaxLength: 255. Nullable.
- PayerSocialSecurityNumber (
string)- PayerSocialSecurityNumber. MaxLength: 50. Nullable.
- BuyerCustomerId (
integer)- BuyerCustomerId. Nullable.
- PayerCustomerId (
integer)- PayerCustomerId. Nullable.
- ShipToCustomerId (
integer)- ShipToCustomerId. Nullable.
- RowId (
string)- RowId. MaxLength: 8. Nullable.
- PickupCode (
string)- PickupCode. MaxLength: 50. Nullable.
- AttestedBy (
integer)- AttestedBy. Nullable.
- ModifiedBy (
integer)- ModifiedBy. Nullable.
- TypeId (
integer)- TypeId. Nullable.
- DoHold (
boolean)- DoHold.
- DeliveryMethodCode (
string)- DeliveryMethodCode. MaxLength: 50. Nullable.
- FreightPrice (
number)- FreightPrice. Nullable.
- Infos (
array) - Array ofEnferno.Storm.Query.Api.DataContexts.OrderModel.QuotationInfo- Infos.
- Items (
array) - Array ofOrderService.QuotationItem- Items.
- Addresses (
array) - Array ofOrderService.QuotationCustomerAddress- Addresses.
Enferno.Storm.Query.Api.DataContexts.OrderModel.PurchaseOrder
Properties
- Id (
string)- Id. Key property.
- ClientId (
integer)- ClientId.
- ApplicationId (
integer)- ApplicationId. Nullable.
- PurchaseOrderNo (
string)- PurchaseOrderNo. MaxLength: 50. Nullable.
- PurchaseOrderDate (
string)- PurchaseOrderDate.
- SupplierId (
integer)- SupplierId. Nullable.
- SupplierCode (
string)- SupplierCode. MaxLength: 50. Nullable.
- StatusId (
integer)- StatusId.
- PurchaseRepContactId (
integer)- PurchaseRepContactId. Nullable.
- PurchaseRepContactCode (
string)- PurchaseRepContactCode. MaxLength: 50. Nullable.
- Source (
string)- Source. MaxLength: 255. Nullable.
- DeliveryTerms (
string)- DeliveryTerms. MaxLength: 10. Nullable.
- DeliveryMode (
string)- DeliveryMode. MaxLength: 50. Nullable.
- DeliveryDate (
string)- DeliveryDate. Nullable.
- IsPartDelivery (
boolean)- IsPartDelivery.
- PaymentTerms (
string)- PaymentTerms. MaxLength: 100. Nullable.
- CurrencyId (
integer)- CurrencyId. Nullable.
- VatCodeId (
integer)- VatCodeId. Nullable.
- CashDiscount (
number)- CashDiscount.
- LineDiscount (
number)- LineDiscount.
- FreightCost (
number)- FreightCost.
- OrderFee (
number)- OrderFee.
- DeliveryAttention (
string)- DeliveryAttention. MaxLength: 100. Nullable.
- DeliveryCareOf (
string)- DeliveryCareOf. MaxLength: 100. Nullable.
- DeliveryAddressLine1 (
string)- DeliveryAddressLine1. MaxLength: 255. Nullable.
- DeliveryAddressLine2 (
string)- DeliveryAddressLine2. MaxLength: 255. Nullable.
- DeliveryZipCode (
string)- DeliveryZipCode. MaxLength: 50. Nullable.
- DeliveryCity (
string)- DeliveryCity. MaxLength: 50. Nullable.
- DeliveryRegion (
string)- DeliveryRegion. MaxLength: 100. Nullable.
- DeliveryCountryId (
integer)- DeliveryCountryId. Nullable.
- LedgerAccount (
string)- LedgerAccount. MaxLength: 50. Nullable.
- Department (
string)- Department. MaxLength: 10. Nullable.
- Centre (
string)- Centre. MaxLength: 10. Nullable.
- ExternalPurchaseNo (
string)- ExternalPurchaseNo. MaxLength: 50. Nullable.
- SalesCode (
string)- SalesCode. MaxLength: 50. Nullable.
- DeliveryMark (
string)- DeliveryMark. MaxLength: 255. Nullable.
- InvoiceMark (
string)- InvoiceMark. MaxLength: 255. Nullable.
- Comment (
string)- Comment. Nullable.
- SellToCustomerCode (
string)- SellToCustomerCode. MaxLength: 50. Nullable.
- SellToSupplierCustomerCode (
string)- SellToSupplierCustomerCode. MaxLength: 50. Nullable.
- SellToAddressId (
string)- SellToAddressId. Nullable.
- BillToCustomerCode (
string)- BillToCustomerCode. MaxLength: 50. Nullable.
- BillToSupplierCustomerCode (
string)- BillToSupplierCustomerCode. MaxLength: 50. Nullable.
- BillToAddressId (
string)- BillToAddressId. Nullable.
- ShipToCustomerCode (
string)- ShipToCustomerCode. MaxLength: 50. Nullable.
- ShipToSupplierCustomerCode (
string)- ShipToSupplierCustomerCode. MaxLength: 50. Nullable.
- ShipToAddressId (
string)- ShipToAddressId. Nullable.
- ShipToEmail (
string)- ShipToEmail. MaxLength: 255. Nullable.
- ShipToPhone (
string)- ShipToPhone. MaxLength: 50. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Updated (
string)- Updated. Nullable.
- UpdatedBy (
integer)- UpdatedBy. Nullable.
- RowId (
string)- RowId. MaxLength: 8. Nullable.
- BillToCustomerInfoId (
string)- BillToCustomerInfoId. Nullable.
- CurrencyCode (
string)- CurrencyCode. MaxLength: 3. Nullable.
- FreightTerms (
string)- FreightTerms. MaxLength: 255. Nullable.
- InternalComment (
string)- InternalComment. MaxLength: 255. Nullable.
- SupplierStatusId (
integer)- SupplierStatusId. Nullable.
- IsForgotten (
boolean)- IsForgotten.
- ForgottenBy (
integer)- ForgottenBy. Nullable.
- ForgottenDate (
string)- ForgottenDate. Nullable.
- Items (
array) - Array ofOrderService.PurchaseOrderItem- Items.
- ShipToAddress -
OrderService.Address - SellToAddress -
OrderService.Address - BillToAddress -
OrderService.Address
Enferno.Storm.Query.Api.DataContexts.OrderModel.DeliveryNote
Properties
- Id (
string)- Id. Key property.
- ClientId (
integer)- ClientId.
- NoteNo (
string)- NoteNo. MaxLength: 50. Nullable.
- SupplierId (
integer)- SupplierId. Nullable.
- TypeId (
integer)- TypeId.
- ReferenceOrderId (
string)- ReferenceOrderId.
- BuyerCompanyId (
integer)- BuyerCompanyId. Nullable.
- BuyerCompanyCode (
string)- BuyerCompanyCode. MaxLength: 50. Nullable.
- BuyerCustomerId (
integer)- BuyerCustomerId. Nullable.
- BuyerCustomerCode (
string)- BuyerCustomerCode. MaxLength: 50. Nullable.
- PayerCompanyId (
integer)- PayerCompanyId. Nullable.
- PayerCompanyCode (
string)- PayerCompanyCode. MaxLength: 50. Nullable.
- PayerCustomerId (
integer)- PayerCustomerId. Nullable.
- PayerCustomerCode (
string)- PayerCustomerCode. MaxLength: 50. Nullable.
- ResellerCompanyId (
integer)- ResellerCompanyId. Nullable.
- ResellerCompanyCode (
string)- ResellerCompanyCode. MaxLength: 50. Nullable.
- ResellerCustomerId (
integer)- ResellerCustomerId. Nullable.
- ResellerCustomerCode (
string)- ResellerCustomerCode. MaxLength: 50. Nullable.
- GroupCode (
string)- GroupCode. MaxLength: 50. Nullable.
- DeliveryName (
string)- DeliveryName. MaxLength: 100. Nullable.
- DeliveryAttention (
string)- DeliveryAttention. MaxLength: 100. Nullable.
- DeliveryCareOf (
string)- DeliveryCareOf. MaxLength: 100. Nullable.
- DeliveryAddressLine1 (
string)- DeliveryAddressLine1. MaxLength: 255. Nullable.
- DeliveryAddressLine2 (
string)- DeliveryAddressLine2. MaxLength: 255. Nullable.
- DeliveryZipCode (
string)- DeliveryZipCode. MaxLength: 50. Nullable.
- DeliveryCity (
string)- DeliveryCity. MaxLength: 50. Nullable.
- DeliveryRegion (
string)- DeliveryRegion. MaxLength: 100. Nullable.
- DeliveryCountryId (
integer)- DeliveryCountryId. Nullable.
- DeliveryDate (
string)- DeliveryDate. Nullable.
- Quantity (
number)- Quantity. Nullable.
- Volume (
number)- Volume. Nullable.
- Weight (
number)- Weight. Nullable.
- IsPrinted (
boolean)- IsPrinted.
- DeliveryTerms (
string)- DeliveryTerms. MaxLength: 10. Nullable.
- DeliveryMode (
string)- DeliveryMode. MaxLength: 50. Nullable.
- Source (
string)- Source. MaxLength: 255. Nullable.
- DeliveryMark (
string)- DeliveryMark. MaxLength: 255. Nullable.
- NoteText (
string)- NoteText. MaxLength: 255. Nullable.
- Department (
string)- Department. MaxLength: 10. Nullable.
- Centre (
string)- Centre. MaxLength: 10. Nullable.
- ShippingNo (
string)- ShippingNo. MaxLength: 50. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Updated (
string)- Updated. Nullable.
- UpdatedBy (
integer)- UpdatedBy. Nullable.
- DeliveryAddressId (
string)- DeliveryAddressId. Nullable.
- DivisionCode (
string)- DivisionCode. MaxLength: 50. Nullable.
- StatusId (
integer)- StatusId.
- IsForgotten (
boolean)- IsForgotten.
- ForgottenBy (
integer)- ForgottenBy. Nullable.
- ForgottenDate (
string)- ForgottenDate. Nullable.
- Items (
array) - Array ofOrderService.DeliveryNoteItem- Items.
- Packages (
array) - Array ofOrderService.DeliveryNotePackage- Packages.
Enferno.Storm.Query.Api.DataContexts.OrderModel.Invoice
Properties
- Id (
string)- Id. Key property.
- ClientId (
integer)- ClientId.
- InvoiceNo (
string)- InvoiceNo. MaxLength: 50. Nullable.
- TypeId (
integer)- TypeId.
- ReferenceOrderId (
string)- ReferenceOrderId.
- BuyerCompanyId (
integer)- BuyerCompanyId. Nullable.
- BuyerCustomerId (
integer)- BuyerCustomerId. Nullable.
- PayerCompanyId (
integer)- PayerCompanyId. Nullable.
- PayerCustomerId (
integer)- PayerCustomerId. Nullable.
- ResellerCompanyId (
integer)- ResellerCompanyId. Nullable.
- ResellerCustomerId (
integer)- ResellerCustomerId. Nullable.
- GroupCode (
string)- GroupCode. MaxLength: 50. Nullable.
- DeliveryDate (
string)- DeliveryDate. Nullable.
- InvoiceDate (
string)- InvoiceDate.
- InvoiceDueDate (
string)- InvoiceDueDate. Nullable.
- SalesRepContactId (
integer)- SalesRepContactId. Nullable.
- Source (
string)- Source. MaxLength: 255. Nullable.
- Quantity (
number)- Quantity.
- Volume (
number)- Volume. Nullable.
- Weight (
number)- Weight. Nullable.
- CurrencyId (
integer)- CurrencyId.
- CurrencyRate (
number)- CurrencyRate.
- CashDiscount (
number)- CashDiscount.
- CashDiscountDate (
string)- CashDiscountDate. Nullable.
- SumLineDiscount (
number)- SumLineDiscount.
- FreightCost (
number)- FreightCost.
- InvoiceFee (
number)- InvoiceFee.
- CostValue (
number)- CostValue.
- SalesBalance (
number)- SalesBalance.
- InvoiceAmount (
number)- InvoiceAmount.
- InvoiceRoundOff (
number)- InvoiceRoundOff.
- VatDutiable1 (
number)- VatDutiable1.
- VatDutiable2 (
number)- VatDutiable2.
- VatDutiable3 (
number)- VatDutiable3.
- Vat1 (
number)- Vat1.
- Vat2 (
number)- Vat2.
- Vat3 (
number)- Vat3.
- VatRoundOff (
number)- VatRoundOff.
- Vat (
number)- Vat.
- InvoiceName (
string)- InvoiceName. MaxLength: 255. Nullable.
- InvoiceAttention (
string)- InvoiceAttention. MaxLength: 100. Nullable.
- InvoiceCareOf (
string)- InvoiceCareOf. MaxLength: 100. Nullable.
- InvoiceAddressLine1 (
string)- InvoiceAddressLine1. MaxLength: 255. Nullable.
- InvoiceAddressLine2 (
string)- InvoiceAddressLine2. MaxLength: 255. Nullable.
- InvoiceZipCode (
string)- InvoiceZipCode. MaxLength: 50. Nullable.
- InvoiceCity (
string)- InvoiceCity. MaxLength: 50. Nullable.
- InvoiceRegion (
string)- InvoiceRegion. MaxLength: 100. Nullable.
- InvoiceCountryId (
integer)- InvoiceCountryId. Nullable.
- LedgerVoucher (
string)- LedgerVoucher. MaxLength: 50. Nullable.
- Department (
string)- Department. MaxLength: 10. Nullable.
- Centre (
string)- Centre. MaxLength: 10. Nullable.
- NoteText (
string)- NoteText. MaxLength: 255. Nullable.
- LastInvoiceForOrder (
boolean)- LastInvoiceForOrder. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Updated (
string)- Updated. Nullable.
- UpdatedBy (
integer)- UpdatedBy. Nullable.
- InvoiceAddressId (
string)- InvoiceAddressId. Nullable.
- ReferenceNoPsp (
string)- ReferenceNoPsp. MaxLength: 50. Nullable.
- PaymentMethodId (
integer)- PaymentMethodId. Nullable.
- DeliveryMethodId (
integer)- DeliveryMethodId. Nullable.
- IsDebit (
boolean)- IsDebit. Nullable.
- CreditedInvoiceId (
string)- CreditedInvoiceId. Nullable.
- Comment (
string)- Comment. MaxLength: 250. Nullable.
- IsForgotten (
boolean)- IsForgotten.
- ForgottenBy (
integer)- ForgottenBy. Nullable.
- ForgottenDate (
string)- ForgottenDate. Nullable.
- AggregatedInvoiceCode (
string)- AggregatedInvoiceCode. MaxLength: 100. Nullable.
- PaymentMethodCode (
string)- PaymentMethodCode. MaxLength: 50. Nullable.
- PaymentMethodName (
string)- PaymentMethodName. MaxLength: 50. Nullable.
- Items (
array) - Array ofOrderService.InvoiceItem- Items.
- Address -
OrderService.Address
Enferno.Storm.Query.Api.DataContexts.OrderModel.WarehouseTransaction
Properties
- TransactionNo (
string)- TransactionNo. MaxLength: 50. Nullable.
- Id (
string)- Id. Key property.
- TransactionDate (
string)- TransactionDate.
- WarehouseCode (
string)- WarehouseCode. MaxLength: 50. Nullable.
- LocationCode (
string)- LocationCode. MaxLength: 50. Nullable.
- Type (
string)- Type. MaxLength: 50. Nullable.
- OrderNo (
string)- OrderNo. MaxLength: 50. Nullable.
- PurchaseOrderNo (
string)- PurchaseOrderNo. MaxLength: 50. Nullable.
- DeliveryNoteNo (
string)- DeliveryNoteNo. MaxLength: 50. Nullable.
- ExternalReference (
string)- ExternalReference. MaxLength: 50. Nullable.
- ReasonCode (
string)- ReasonCode. MaxLength: 50. Nullable.
- Comment (
string)- Comment. MaxLength: 500. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Items (
array) - Array ofEnferno.Storm.Query.Api.DataContexts.OrderModel.WarehouseTransactionItem- Items.
OrderService.InvoiceItem
Properties
- Id (
string)- Id. Key property.
- InvoiceId (
string)- InvoiceId.
- LineNumber (
number)- LineNumber. Nullable.
- StatusId (
integer)- StatusId. Nullable.
- PartNo (
string)- PartNo. MaxLength: 50. Nullable.
- ExternalPartNo (
string)- ExternalPartNo. MaxLength: 50. Nullable.
- ProductName (
string)- ProductName. MaxLength: 255. Nullable.
- StockUnitOfMeasurementCount (
number)- StockUnitOfMeasurementCount.
- PriceUnitOfMeasurementCount (
number)- PriceUnitOfMeasurementCount.
- WarehouseId (
integer)- WarehouseId. Nullable.
- LocationId (
integer)- LocationId. Nullable.
- Quantity (
integer)- Quantity.
- CurrencyId (
integer)- CurrencyId.
- VatRate (
number)- VatRate.
- CostUnit (
number)- CostUnit.
- PriceSale (
number)- PriceSale.
- DiscountPercentage (
number)- DiscountPercentage.
- DiscountAmount (
number)- DiscountAmount.
- LineAmount (
number)- LineAmount.
- DeliveryMode (
string)- DeliveryMode. MaxLength: 50. Nullable.
- IsPartDelivery (
boolean)- IsPartDelivery.
- DeliveryDate (
string)- DeliveryDate. Nullable.
- SalesRepContactId (
integer)- SalesRepContactId. Nullable.
- LedgerAccount (
string)- LedgerAccount. MaxLength: 50. Nullable.
- Department (
string)- Department. MaxLength: 10. Nullable.
- Centre (
string)- Centre. MaxLength: 10. Nullable.
- TransId (
string)- TransId.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Updated (
string)- Updated. Nullable.
- UpdatedBy (
integer)- UpdatedBy. Nullable.
- OrderItemId (
string)- OrderItemId. Nullable.
- PurchaseOrderItemId (
string)- PurchaseOrderItemId. Nullable.
- LineNumberString (
string)- LineNumberString. MaxLength: 50. Nullable.
- PriceUnit (
number)- PriceUnit. Nullable.
- Quantity2 (
number)- Quantity2. Nullable.
- ClientId (
integer)- ClientId. Nullable.
- OrderItem -
Enferno.Storm.Query.Api.DataContexts.OrderModel.OrderItem
OrderService.QuotationItem
Properties
- Id (
integer)- Id. Key property.
- QuotationId (
integer)- QuotationId.
- LineNumber (
integer)- LineNumber.
- CustomerLineCode (
string)- CustomerLineCode. MaxLength: 50. Nullable.
- StatusId (
integer)- StatusId.
- PartNo (
string)- PartNo. MaxLength: 50. Nullable.
- ProductNameWhenCreated (
string)- ProductNameWhenCreated. MaxLength: 255. Nullable.
- BundlePartno (
string)- BundlePartno. MaxLength: 50. Nullable.
- BundleTypeId (
integer)- BundleTypeId. Nullable.
- Qty (
integer)- Qty.
- OnHandWhenCreated (
integer)- OnHandWhenCreated. Nullable.
- PriceSale (
number)- PriceSale. Nullable.
- PriceSaleWhenCreated (
number)- PriceSaleWhenCreated. Nullable.
- PriceListId (
integer)- PriceListId.
- PatternId (
integer)- PatternId. Nullable.
- VatCode (
integer)- VatCode. Nullable.
- VatValue (
number)- VatValue. Nullable.
- PromotionIdSeed (
string)- PromotionIdSeed. MaxLength: 50. Nullable.
- CampaignId (
integer)- CampaignId. Nullable.
- SearchString (
string)- SearchString. MaxLength: 50. Nullable.
- CategoryItemId (
integer)- CategoryItemId. Nullable.
- ParentPartnoId (
string)- ParentPartnoId. MaxLength: 50. Nullable.
- ParentLineNumber (
integer)- ParentLineNumber. Nullable.
- Comment (
string)- Comment. MaxLength: 255. Nullable.
- ExternalData (
string)- ExternalData. Nullable.
- RefererId (
integer)- RefererId. Nullable.
- RefererUrl (
string)- RefererUrl. MaxLength: 255. Nullable.
- PriceReseller (
number)- PriceReseller. Nullable.
- IsLocked (
boolean)- IsLocked. Nullable.
- TotalPriceSaleExVat (
number)- TotalPriceSaleExVat. Nullable.
- TotalPriceSaleIncVat (
number)- TotalPriceSaleIncVat. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy. Nullable.
- Updated (
string)- Updated. Nullable.
- ExpectedDeliveryDate (
string)- ExpectedDeliveryDate. Nullable.
- RequirementPromotionIdSeed (
string)- RequirementPromotionIdSeed. MaxLength: 255. Nullable.
- IsPriceManual (
boolean)- IsPriceManual. Nullable.
- Qty2 (
number)- Qty2. Nullable.
- ClientId (
integer)- ClientId. Nullable.
- Infos (
array) - Array ofOrderService.QuotationItemInfo- Infos.
OrderService.QuotationItemInfo
Properties
- Id (
string)- Id. Key property.
- QuotationItemId (
integer)- QuotationItemId.
- TypeId (
integer)- TypeId.
- Value (
string)- Value. Nullable.
- Updated (
string)- Updated.
- UpdatedBy (
integer)- UpdatedBy.
- ClientId (
integer)- ClientId. Nullable.
OrderService.QuotationCustomerAddress
Properties
- Id (
integer)- Id. Key property.
- QuotationId (
integer)- QuotationId.
- ClientCustomerAddressId (
integer)- ClientCustomerAddressId. Nullable.
- ClientCompanyAddressId (
integer)- ClientCompanyAddressId. Nullable.
- CustomerId (
integer)- CustomerId. Nullable.
- CompanyId (
integer)- CompanyId. Nullable.
- TypeId (
integer)- TypeId.
- CareOf (
string)- CareOf. MaxLength: 100. Nullable.
- AddressLine1 (
string)- AddressLine1. MaxLength: 255. Nullable.
- AddressLine2 (
string)- AddressLine2. MaxLength: 255. Nullable.
- ZipCode (
string)- ZipCode. MaxLength: 50. Nullable.
- City (
string)- City. MaxLength: 50. Nullable.
- Region (
string)- Region. MaxLength: 50. Nullable.
- CountryId (
integer)- CountryId. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- CompanyName (
string)- CompanyName. MaxLength: 100. Nullable.
- FirstName (
string)- FirstName. MaxLength: 50. Nullable.
- LastName (
string)- LastName. MaxLength: 50. Nullable.
- CellPhoneNumber (
string)- CellPhoneNumber. MaxLength: 50. Nullable.
- Email (
string)- Email. MaxLength: 255. Nullable.
- ClientId (
integer)- ClientId. Nullable.
- ShippingPhoneNumber (
string)- ShippingPhoneNumber. MaxLength: 50. Nullable.
- Gln (
string)- Gln. MaxLength: 50. Nullable.
OrderService.PurchaseOrderItem
Properties
- Id (
string)- Id. Key property.
- PurchaseOrderId (
string)- PurchaseOrderId.
- LineNumber (
number)- LineNumber. Nullable.
- StatusId (
integer)- StatusId.
- PartNo (
string)- PartNo. MaxLength: 50. Nullable.
- ExternalPartNo (
string)- ExternalPartNo. MaxLength: 50. Nullable.
- ProductName (
string)- ProductName. MaxLength: 255. Nullable.
- StockUnitOfMeasurementCount (
number)- StockUnitOfMeasurementCount.
- PriceUnitOfMeasurementCount (
number)- PriceUnitOfMeasurementCount.
- WarehouseId (
integer)- WarehouseId. Nullable.
- LocationId (
integer)- LocationId. Nullable.
- QtyOrdered (
number)- QtyOrdered.
- CurrencyId (
integer)- CurrencyId. Nullable.
- VatCodeId (
integer)- VatCodeId. Nullable.
- PriceSale (
number)- PriceSale.
- LineAmount (
number)- LineAmount. Nullable.
- DeliveryMode (
string)- DeliveryMode. MaxLength: 50. Nullable.
- IsPartDelivery (
boolean)- IsPartDelivery.
- ExpectedDeliveryDate (
string)- ExpectedDeliveryDate. Nullable.
- ConfirmedDeliveryDate (
string)- ConfirmedDeliveryDate. Nullable.
- LedgerAccount (
string)- LedgerAccount. MaxLength: 50. Nullable.
- Department (
string)- Department. MaxLength: 10. Nullable.
- Centre (
string)- Centre. MaxLength: 10. Nullable.
- SupplierLineReference (
string)- SupplierLineReference. MaxLength: 50. Nullable.
- OrderTransId (
string)- OrderTransId. Nullable.
- TransId (
string)- TransId. Nullable.
- Comment (
string)- Comment. MaxLength: 255. Nullable.
- DeliveryMark (
string)- DeliveryMark. MaxLength: 255. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Updated (
string)- Updated. Nullable.
- UpdatedBy (
integer)- UpdatedBy. Nullable.
- RowId (
string)- RowId. MaxLength: 8. Nullable.
- QtyOriginallyOrdered (
number)- QtyOriginallyOrdered. Nullable.
- QtyDelivered (
number)- QtyDelivered. Nullable.
- RequestedDeliveryDate (
string)- RequestedDeliveryDate. Nullable.
- OrderItemId (
string)- OrderItemId. Nullable.
- LineNumberString (
string)- LineNumberString. MaxLength: 50. Nullable.
- ClientProductSkuTypeId (
integer)- ClientProductSkuTypeId. Nullable.
- EndUserCode (
string)- EndUserCode. MaxLength: 50. Nullable.
- AgreementCode (
string)- AgreementCode. MaxLength: 50. Nullable.
- InternalComment (
string)- InternalComment. MaxLength: 255. Nullable.
- SupplierStatusId (
integer)- SupplierStatusId. Nullable.
- ClientId (
integer)- ClientId. Nullable.
- DeliveryNoteItem (
array) - Array ofOrderService.DeliveryNoteItem- DeliveryNoteItem.
OrderService.DeliveryNoteItem
Properties
- Id (
string)- Id. Key property.
- DeliveryNoteId (
string)- DeliveryNoteId.
- LineNumber (
number)- LineNumber. Nullable.
- PartNo (
string)- PartNo. MaxLength: 50. Nullable.
- ExternalPartNo (
string)- ExternalPartNo. MaxLength: 50. Nullable.
- ProductName (
string)- ProductName. MaxLength: 255. Nullable.
- StockUnitOfMeasurementCount (
number)- StockUnitOfMeasurementCount.
- PriceUnitOfMeasurementCount (
number)- PriceUnitOfMeasurementCount.
- QtyOrdered (
number)- QtyOrdered.
- Quantity (
number)- Quantity.
- QtyBackOrdered (
number)- QtyBackOrdered.
- IsPartDelivery (
boolean)- IsPartDelivery.
- SalesRepContactId (
integer)- SalesRepContactId. Nullable.
- VatRate (
number)- VatRate.
- ValueMst (
number)- ValueMst.
- NoteText (
string)- NoteText. MaxLength: 255. Nullable.
- Department (
string)- Department. MaxLength: 10. Nullable.
- Centre (
string)- Centre. MaxLength: 10. Nullable.
- TransId (
integer)- TransId.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Updated (
string)- Updated. Nullable.
- UpdatedBy (
integer)- UpdatedBy. Nullable.
- OrderItemId (
string)- OrderItemId. Nullable.
- PurchaseOrderItemId (
string)- PurchaseOrderItemId. Nullable.
- LineNumberString (
string)- LineNumberString. MaxLength: 50. Nullable.
- ClientId (
integer)- ClientId. Nullable.
- PurchaseOrderItem -
OrderService.PurchaseOrderItem
OrderService.Address
Properties
- Id (
string)- Id. Key property.
- TypeId (
integer)- TypeId. Nullable.
- Name (
string)- Name. MaxLength: 100. Nullable.
- Attention (
string)- Attention. MaxLength: 100. Nullable.
- CareOf (
string)- CareOf. MaxLength: 100. Nullable.
- Line1 (
string)- Line1. MaxLength: 255. Nullable.
- Line2 (
string)- Line2. MaxLength: 255. Nullable.
- ZipCode (
string)- ZipCode. MaxLength: 50. Nullable.
- City (
string)- City. MaxLength: 50. Nullable.
- Region (
string)- Region. MaxLength: 50. Nullable.
- CountryId (
integer)- CountryId. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- RowId (
string)- RowId. MaxLength: 8. Nullable.
- EmailAddress (
string)- EmailAddress. MaxLength: 255. Nullable.
- PhoneNumber (
string)- PhoneNumber. MaxLength: 50. Nullable.
- ClientId (
integer)- ClientId. Nullable.
- ShippingPhoneNumber (
string)- ShippingPhoneNumber. MaxLength: 50. Nullable.
- Gln (
string)- Gln. MaxLength: 50. Nullable.
OrderService.DeliveryNotePackage
Properties
- Id (
string)- Id. Key property.
- DeliveryNoteId (
string)- DeliveryNoteId.
- ShippingNo (
string)- ShippingNo. MaxLength: 255. Nullable.
- Created (
string)- Created.
- CreatedBy (
integer)- CreatedBy.
- Updated (
string)- Updated. Nullable.
- UpdatedBy (
integer)- UpdatedBy. Nullable.
- StatusId (
integer)- StatusId.
- ClientId (
integer)- ClientId. Nullable.